data:extend({
	{
		type = "solar-panel",
		name = "solar-generator",
		icon = "__SolarPower__/graphics/icons/solar-panel.png",
		flags = {"placeable-neutral", "player-creation"},
		minable = {hardness = 0.2, mining_time = 0.5, result = "solar-generator"},
		max_health = 100,
		corpse = "big-remnants",
		collision_box = {{-1.9, -1.9}, {1.9, 1.9}},
		selection_box = {{-2.0, -2.0}, {2.0, 2.0}},
		energy_source =
			{
			  type = "electric",
			  usage_priority = "solar"
			},
		picture =
			{
			  filename = "__SolarPower__/graphics/entity/solar-panel/solar-panel-l.png",
			  priority = "high",
			  width = 128,
			  height = 123
			},
    production = "5.235GW",
    fast_replaceable_group = "solar-panel",
	},
	{
		type = "solar-panel",
		name = "solar-generator-2",
		icon = "__SolarPower__/graphics/icons/solar-panel.png",
		flags = {"placeable-neutral", "player-creation"},
		minable = {hardness = 0.2, mining_time = 0.5, result = "solar-generator-2"},
		max_health = 100,
		corpse = "big-remnants",
		collision_box = {{-1.9, -1.9}, {1.9, 1.9}},
		selection_box = {{-2.0, -2.0}, {2.0, 2.0}},
		energy_source =
			{
			  type = "electric",
			  usage_priority = "solar"
			},
		picture =
			{
			  filename = "__SolarPower__/graphics/entity/solar-panel/solar-panel-l.png",
			  priority = "high",
			  width = 128,
			  height = 123
			},
    production = "10GW",
    fast_replaceable_group = "solar-panel",
	},
	{
		type = "solar-panel",
		name = "solar-generator-3",
		icon = "__SolarPower__/graphics/icons/solar-panel.png",
		flags = {"placeable-neutral", "player-creation"},
		minable = {hardness = 0.2, mining_time = 0.5, result = "solar-generator-3"},
		max_health = 100,
		corpse = "big-remnants",
		collision_box = {{-1.9, -1.9}, {1.9, 1.9}},
		selection_box = {{-2.0, -2.0}, {2.0, 2.0}},
		energy_source =
			{
			  type = "electric",
			  usage_priority = "solar"
			},
		picture =
			{
			  filename = "__SolarPower__/graphics/entity/solar-panel/solar-panel-l.png",
			  priority = "high",
			  width = 128,
			  height = 123
			},
    production = "1024GW",
    fast_replaceable_group = "solar-panel",
	},
	{
    type = "assembling-machine",
    name = "industrial-chemical-furnace",
    icon = "__base__/graphics/icons/oil-refinery.png",
    flags = {"placeable-neutral","player-creation"},
    minable = {mining_time = 1, result = "industrial-chemical-furnace"},
    max_health = 300,
    corpse = "big-remnants",
    dying_explosion = "medium-explosion",
    collision_box = {{-2.4, -2.4}, {2.4, 2.4}},
    selection_box = {{-2.5, -2.5}, {2.5, 2.5}},
    module_specification =
    {
      module_slots = 2
    },
    allowed_effects = {"consumption", "speed", "productivity", "pollution"},
    crafting_categories = {"industrial-chemical-processing"},
    crafting_speed = 1,
    has_backer_name = true,
    energy_source =
    {
      type = "electric",
      usage_priority = "secondary-input",
      emissions = 0.03 / 3.5
    },
    energy_usage = "600kW",
    ingredient_count = 4,
    animation =
    {
      north =
      {
        filename = "__base__/graphics/entity/oil-refinery/oil-refinery.png",
        width = 337,
        height = 255,
        frame_count = 1,
        shift = {2.515625, 0.484375}
      },
      east =
      {
        filename = "__base__/graphics/entity/oil-refinery/oil-refinery.png",
        x = 337,
        width = 337,
        height = 255,
        frame_count = 1,
        shift = {2.515625, 0.484375}
      },
      south =
      {
        filename = "__base__/graphics/entity/oil-refinery/oil-refinery.png",
        x = 674,
        width = 337,
        height = 255,
        frame_count = 1,
        shift = {2.515625, 0.484375}
      },
      west =
      {
        filename = "__base__/graphics/entity/oil-refinery/oil-refinery.png",
        x = 1011,
        width = 337,
        height = 255,
        frame_count = 1,
        shift = {2.515625, 0.484375}
      }
    },
    working_visualisations =
    {
      {
        north_position = {1.03125, -1.55},
        east_position = {-1.65625, -1.3},
        south_position = {-1.875, -2.0},
        west_position = {1.8437, -1.2},
        animation =
        {
          filename = "__base__/graphics/entity/oil-refinery/oil-refinery-fire.png",
          frame_count = 29,
          width = 16,
          height = 35,
          scale = 1.5,
          shift = {0, -0.5625},
          run_mode="backward"
        },
        light = {intensity = 0.4, size = 6}
      }
    },
    vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65 },
    working_sound =
    {
      sound = { filename = "__base__/sound/oil-refinery.ogg" },
      idle_sound = { filename = "__base__/sound/idle1.ogg", volume = 0.6 },
      apparent_volume = 2.5,
    },
    fluid_boxes =
    {
      {
        production_type = "input",
        pipe_covers = pipecoverspictures(),
        base_area = 10,
        base_level = -1,
        pipe_connections = {{ type="input", position = {-2, 3} }}
      },
	  {
        production_type = "input",
        pipe_covers = pipecoverspictures(),
        base_area = 10,
        base_level = -1,
        pipe_connections = {{ type="input", position = {0, 3} }}
      },
      {
        production_type = "input",
        pipe_covers = pipecoverspictures(),
        base_area = 10,
        base_level = -1,
        pipe_connections = {{ type="input", position = {2, 3} }}
      },
      {
        production_type = "output",
        pipe_covers = pipecoverspictures(),
        base_level = 1,
        pipe_connections = {{ position = {-2, -3} }}
      },
      {
        production_type = "output",
        pipe_covers = pipecoverspictures(),
        base_level = 1,
        pipe_connections = {{ position = {0, -3} }}
      },
      {
        production_type = "output",
        pipe_covers = pipecoverspictures(),
        base_level = 1,
        pipe_connections = {{ position = {2, -3} }}
      }
    },
    pipe_covers = pipecoverspictures()
  }
	
})